Skip to main content
POST
Use this when the user wants to add a product to an existing storefront.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storefrontId
string
required

Body

application/json

Agent-facing product input shape. Mutability rule §6.18.1.1: every field PATCHable post-create.

title
string
required
Required string length: 1 - 200
price
number
required
Required range: x >= 0
description
string | null
salePrice
number | null
Required range: x >= 0
category
string | null
subcategory
string | null
imageUrl
string<uri> | null
thumbnailUrl
string<uri> | null
sku
string | null
slug
string | null
position
integer | null
cartProduct
boolean | null
hide
boolean | null
stock
integer | null
Required range: x >= 0
tags
string[] | null
extraProductsCategory
object[] | null

Response

Created

product
object
required